#4 yy_init_globals in header file

2.5.31
closed-fixed
nobody
5
2005-12-22
2005-08-11
Anonymous
No

On Friday, April 22, 2005 at 15:49, usel wrote:
> flex 2.5.31 adds this weird line to the generated
header file:
>
> static int yy_init_globals (yyscan_t yyscanner );

May this be the fix?

Regards,

Oskar Liljeblad (oskar@osk.mine.nu)

diff -u flex.skl.v0 flex.skl
--- flex.skl.v0 2005-04-22 15:42:46.000000000 +0200
+++ flex.skl 2005-04-22 15:42:57.000000000 +0200
@@ -815,7 +815,7 @@
]])

-m4_ifdef( [[M4_YY_IN_HEADER]],
+m4_ifdef( [[M4_YY_NOT_IN_HEADER]],
[[
static int yy_init_globals M4_YY_PARAMS(
M4_YY_PROTO_ONLY_ARG );
]])

Discussion

  • John43
    John43
    2005-12-22

    Logged In: YES
    user_id=335409

    Fixed.

     
  • John43
    John43
    2005-12-22

    • milestone: --> 2.5.31
    • status: open --> closed-fixed